package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;


/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable<String> {

    private List<String> l = new ArrayList<>();

    public SimpleStringGroup() {
        super();
    }

    public Integer count() {
        return l.size();
    }

    public void insert(String string) {
        l.add(string);
    }

    public Boolean has(String valueToInsert) {
        return l.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {
        return l.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        l.remove(valueToInsert);
    }

    public void clear(){
        l.clear();
    }

    @Override
    public Iterator<String> iterator() {
        return l.iterator();
    }
}
