package rocks.zipcode.io.quiz4.fundamentals;

import java.util.HashSet;
import java.util.Set;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeEvaluator {
    public static String[] getAllPalindromes(String string) {
        Set<String> set = new HashSet<>();

        for (int i=0; i<string.length(); i++) {
            for (int j=i+1; j<=string.length(); j++) {
                if (isPalindrome(string.substring(i,j)))
                    set.add(string.substring(i,j));
            }
        }
        return set.toArray(new String[0]);
    }

    public static Boolean isPalindrome(String string) {
        return string.equals(reverseString(string));
    }

    public static String reverseString(String string) {
        StringBuilder sb = new StringBuilder(string);
        return sb.reverse().toString();
    }
}
