package rocks.zipcode.io.quiz4.collections;

import java.util.*;

/**
 * @author leon on 11/12/2018.
 */
public class ComparableTreeSet<_ extends Comparable<_>> extends TreeSet<_> implements Comparable<ComparableTreeSet<_>>{


    public ComparableTreeSet(_... arr) {
        super(Arrays.asList(arr));
    }


    public ComparableTreeSet() {
    super();
    }

    public int compareTo(ComparableTreeSet<_> o) {
        return this.first().compareTo(o.first());
    }
}
