package rocks.zipcode.io.quiz4.fundamentals;

import java.util.*;

/**
 * @author leon on 11/12/2018.
 */
public class StringEvaluator {
    public static String[] getAllPrefixes(String string) {
        Set<String> set = new HashSet<>();
        for (int i=0; i<string.length(); i++)
            for (int j=i+1; j<string.length()+1; j++) {
                set.add(string.substring(i,j));
            }
        return set.toArray(new String[0]);
    }

    public static String[] getCommonPrefixes(String string1, String string2) {
        List<String> a = new ArrayList<>(Arrays.asList(getAllPrefixes(string1)));
        List<String> b = new ArrayList<>(Arrays.asList(getAllPrefixes(string2)));
        a.retainAll(b);
        return a.toArray(new String[0]);
    }

    public static String getLargestCommonPrefix(String string1, String string2) {
        String[] pref = getCommonPrefixes(string1,string2);
        int length = pref[0].length();
        String longest = pref[0];

        for (int i=1; i<pref.length; i++)
            if (pref[i].length() > length) {
                length = pref[i].length();
                longest = pref[i];
            }
        return longest;
    }


}
